.TH "clens" "1" "0.1" "Tim Jacobs" "Imaging"
.SH "NAME"
.LP 
clens \- Removes image distortions in jpeg images introduced by camera lenses.
.SH "SYNOPSIS"
.LP 
clens [\fIoption\fP] <\fIjpeg_filename\fP>
.br 
.SH "DESCRIPTION"
.LP 
clens is a Linux port of Thomas Niemann's PTLens for Windows. You can find PTLens at http://www.epaperpress.com/ptlens/. Unlike PTLens, clens is a command line program.
 
In order to correct lens distortions in your images you will need lens calibration data. See the web site listed above for a complete description of the lens calibration file format. You can download excellent lens calibration data from the same site.
 
You will also need a stitcher program. The stitcher program is what actually performs the image warping to remove lens distortions. clens creates script files that the stitcher program reads and then calls the stitcher program itself. The script file that clens produces is compatable with two different stitcher programs that I know of. One is PTStitcher, the other is nona. PTStitcher is part of the Panorama Tools toolset and nona is part of hugin. Finally, both of these use the Pano12 library which also must be installed on your computer.

clens will get some of the information it needs from EXIF data that digital cameras store in the JPEG files they write. If the EXIF data is missing, clens will skip that image and continue on to the next. Scanned images, for instance, cannot be corrected with clens.
.SH "OPTIONS"
.LP
.TP
\fB\-u, --unscaled\fR
Do not scale the corrected image to remove black borders that result from lens correction. The warping done to correct images for lens distortions usually results in an image that is no longer rectilinear. The default for clens is to scale the image just enough such that a rectilinear region containing only image data can be produced with the same dimensions as the input image.
.TP
\fB\-l, \-\-lens\fR <\fIlens_descriptor\fP>
Tell clens that the lens used when the picture was taken was <\fIlens_descriptor\fP>. clens will use that string when looking for lens correction coefficients. The default is "Standard", which is the appropriate identifier for lenses that are permanently attached to the camera. You can use the \-L option to see a printout of all calibrated lenses for the camera used to take a given picture.
.TP
\fB\    \-\-Lenses\fR
Tell clens to print out all lenses found in the calibration data that are compatable with the camera used to take the input picture, then exit. No corrections are made.
.TP
\fB\-s, \-\-stitcher\fR <\fIfull_path_to_stitcher\fP>
Tell clens which stitcher to use. Currently supported stitchers are PTStitcher and nona. This string is actually used to exec the stitcher program so, if the stitcher is not on your path, you need to give the full path. The default is PTStitcher, and it's assumed to be on the path.
.TP
\fB\-p, \-\-profile\fR <\fIfull_path_to_profile.txt\fP>
Tell clens where profile.txt is. The entire path must be specified. There is no default for this option. You may also specify this information in an environment variable named "CLENS_PROFILE".
.TP
\fB\-a, \-\-append\fR <\fIappended_text\fP>
Tell clens to append \fR<\fIappended_text\fP> to the input filename to construct the output filename. The default is "_pt".
.TP
\fB\-q, \-\-quality\fR <\fIquality_factor\fP>
Use <\fIquality_factor\fP> when creating JPEG output files. <\fIquality_factor\fP> should be an integer from 0-100. The default is 90.
.TP 
\fB    \-\-help\fR
Output help information and exit.
.TP 
\fB    \-\-version\fR
Output version information and exit.
.TP 
\fB    \-\-tiff\fR
Use TIFF as the output file format. Default is JPEG.
.TP 
\fB    \-\-jpeg\fR
Use JPEG as the output file format. This is the default.
.SH "EXAMPLES"
.LP 
All examples assume the file "profile.txt" is in ~/profiles.
.LP 
Correct the file "dog.jpg" and put the result in "dog_pt.jpg" using jpeg quality factor 90.
.IP 
clens \-p ~/profiles/profile.txt dog.jpg
.LP 
Correct all jpg files in the current directory using the program defaults. Note that all input images will be corrected using the Standard lens correction coefficients for the camera used to take the picture.
.IP 
clens \-p ~/profiles/profile.txt *.jpg
.LP 
Print out all lenses that have been calibrated that are compatable with the camera used to take "dog.jpg".
.IP 
clens \-p ~/profiles/profile.txt \-\-Lenses dog.jpg
.SH "AUTHORS"
.LP 
Tim Jacobs <twjacobs@gmail.com>

